X2Go Bug report logs - #461
Can't connect to ssh anymore

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Hadmut Danisch <hadmut@danisch.de>

Date: Mon, 24 Mar 2014 13:50:01 UTC

Severity: normal

Tags: pending

Merged with 408, 613

Found in version 4.0.1.2

Fixed in version 4.1.1.1

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#461; Package x2goclient. (Mon, 24 Mar 2014 13:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Hadmut Danisch <hadmut@danisch.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 24 Mar 2014 13:50:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Hadmut Danisch <hadmut@danisch.de>
To: submit@bugs.x2go.org
Subject: Can't connect to ssh anymore
Date: Mon, 24 Mar 2014 14:40:10 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.3-0~522~ubuntu14.04.1


Hi, 

I am currently testing x2go under Ubuntu 14.04.


When I used x2go last week in my testing environment, everything was
fine. Since 14.04 is still beta, there are heaps of daily updates,
which I applied. 

Today I wanted to use x2go again, and it could not connect ssh
anymore. x2go just shows an empty error messages (attached), and
strace reveals, that x2go connects to port 22 of the server, reads
(and even writes if needed) the ~/.ssh/known_hosts, and then silently
aborts the connection without telling any reason. strace did not show
a reason either. The sshd just complains because the client aborted
the connections. 

The regular ssh command line client works. 

If x2go aborts the connection, it should at least notice and tell a
good reason. 


regards
Hadmut
[Screenshot_x2go.png (image/png, attachment)]

Marked as found in versions 4.0.1.2; no longer marked as found in versions 4.0.1.3-0~522~ubuntu14.04.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 13 Nov 2017 23:55:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.1.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 13 Nov 2017 23:55:03 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 13 Nov 2017 23:55:03 GMT) (full text, mbox, link).


Merged 408 461 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 13 Nov 2017 23:55:03 GMT) (full text, mbox, link).


Merged 408 461 613 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 14 Nov 2017 00:40:01 GMT) (full text, mbox, link).


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 15 Feb 2018 20:45:05 GMT) (full text, mbox, link).


Notification sent to Hadmut Danisch <hadmut@danisch.de>:
Bug acknowledged by developer. (Thu, 15 Feb 2018 20:45:05 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 23 Mar 2018 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Aug 18 23:46:40 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.